/*******************************************************************************
 * ALMA - Atacama Large Millimeter Array
 * Copyright (c) UKATC - UK Astronomy Technology Centre, Science and Technology Facilities Council, 2011
 * (in the framework of the ALMA collaboration).
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 *******************************************************************************/
package alma.obsprep.ot.gui.resources;

import java.awt.Color;

/**
 * The logical colors used by the tool
 * 
 * @author  dac
 */

public interface ColorPalette {
    public Color getForegroundColor();
    public Color getClipboardColor();
    public Color getErrorColor();
    public Color getWarningColor();
    
    public Color getPhase1Color();
    public Color getPhase2Color();
    
    public Color getRestFrequencyColor();
    public Color getCentreFrequencyColor();
    public Color getCatalogLinesColor();
    public Color getSidebandsColor();
    public Color getUnconfiguredSidebandsColor();
    public Color getZoomBoxColor();

    public Color getBasebandColor();
    public Color getSpectralWindowColor();
    public Color getAveragingRegionColor();
    public Color getSuppressedColor();
    public Color getTransmissionColor();
}
